CVTBATCH(8)

NAME
cvtbatch - convert Usenet batch file to INN format

SYNOPSIS
cvtbatch [ -w items ]

DESCRIPTION
Cvtbatch reads standard input as a series of lines, converts each line, and writes it to standard output. It is used to convert simple batchfiles that contain just the article name to INN batchfiles that contain additional information about each article.

Each line is taken as the pathname to a Usenet article. If it is not an absolute pathname, it is taken relative to the spool directory, /var/spool/news. (Only the first word of each line is parsed; anything following whitespace is ignored.)

OPTIONS

-w  The ``-w'' flag specifies how each output line should be written. The items for this flag should be chosen from the ``W'' flag items as specified in newsfeeds(5). They may be chosen from the following set:
    	b	Size of article in bytes
    	f	full pathname of article
    	m	article message-id
    	n	relative pathname of article

If the input file consists of a series of Message-ID's, then use grephistory(1) with the ``-s'' flag piped into cvtbatch.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
grephistory(1) newsfeeds(5).